# Subledger Entries Subledger Entries ## Creates a new subledger entry record that does not already exist. - [POST /subledgerEntries/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/createsubledgerentry.md): This method will auto-generate an ID and create a new subledger entry. If an ID is specified for the subledger entry, an error will be thrown. ## Execute Batch Operations - [POST /subledgerEntries/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified batch_id - [GET /subledgerEntries/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbybatchid.md): Returns a list of records with the specified batch_id ## Returns a list of records with the specified cogs_entry_id - [GET /subledgerEntries/{tenantId}/cogsEntry/{cogs_entry_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbycogsentryid.md): Returns a list of records with the specified cogs_entry_id ## Returns a list of records with the specified credit_id - [GET /subledgerEntries/{tenantId}/credit/{credit_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbycreditid.md): Returns a list of records with the specified credit_id ## Returns a list of records with the specified credit_memo_id - [GET /subledgerEntries/{tenantId}/creditMemo/{credit_memo_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbycreditmemoid.md): Returns a list of records with the specified credit_memo_id ## Returns a list of records with the specified debit_memo_id - [GET /subledgerEntries/{tenantId}/debitMemo/{debit_memo_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbydebitmemoid.md): Returns a list of records with the specified debit_memo_id ## Returns a list of records with the specified fiscal_period - [GET /subledgerEntries/{tenantId}/fiscalPeriod/{business_unit_id}/{fiscal_year_id}/{fiscal_period}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbyfiscalperiod.md): Returns a list of records with the specified fiscal_period ## Returns a list of records with the specified inventory_receipt_id - [GET /subledgerEntries/{tenantId}/inventoryReceipt/{inventory_receipt_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbyinventoryreceiptid.md): Returns a list of records with the specified inventory_receipt_id ## Returns a list of records with the specified invoice_id - [GET /subledgerEntries/{tenantId}/invoice/{invoice_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbyinvoiceid.md): Returns a list of records with the specified invoice_id ## Returns a list of records with the specified payment_id - [GET /subledgerEntries/{tenantId}/payment/{payment_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbypaymentid.md): Returns a list of records with the specified payment_id ## Returns a list of records with the specified revenue_recognition_schedule_id - [GET /subledgerEntries/{tenantId}/revenueRecognitionSchedule/{revenue_recognition_schedule_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbyrevenuerecognitionscheduleid.md): Returns a list of records with the specified revenue_recognition_schedule_id ## Returns a list of records with the specified write_off_id - [GET /subledgerEntries/{tenantId}/writeOff/{write_off_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/listentriesbywriteoffid.md): Returns a list of records with the specified write_off_id ## Returns a subledger entry from the system by its ID. - [DELETE /subledgerEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/deletesubledgerentry.md): This method will delete a subledger entry with the specified ID. ## Returns a subledger entry from the system by its ID. - [GET /subledgerEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/getsubledgerentry.md): This method will look up a subledger entry by the specified ID and return it back. ## Partially updates a subledger entry with the specified ID. - [PATCH /subledgerEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/patchsubledgerentry.md): This method will patch an existing subledger entry with the specified ID, using the HTTP PATCH specification. ## Updates a subledger entry with the specified ID. - [PUT /subledgerEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/subledger-entries/updatesubledgerentry.md): This method will update an existing subledger entry with the specified ID.